package com.gyee.wisdom.dao.sql.alarm;

import com.gyee.wisdom.common.data.DataUtil;
import com.gyee.wisdom.common.data.alarm.GyeeWindturbine;
import com.gyee.wisdom.common.data.windturbine.Windturbine;
import com.gyee.wisdom.dao.alarm.IGyeeWindturbineDao;
import com.gyee.wisdom.dao.sql.Windturbine.entity.WindturbineEntity;
import com.gyee.wisdom.dao.sql.Windturbine.repsoitory.PowerStationRepository;
import com.gyee.wisdom.dao.sql.Windturbine.repsoitory.WindturbineRepository;
import com.gyee.wisdom.dao.sql.alarm.Entity.GyeeWindturbineEntity;
import com.gyee.wisdom.dao.sql.alarm.repository.GyeePowerStationRepository;
import com.gyee.wisdom.dao.sql.alarm.repository.GyeeWindturbineRepository;
import com.gyee.wisdom.dao.windturbine.IWindturbineDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author songwb<songwb@aliyun.com>
 */
@Component
public class JpaGyeeWindturbineDao implements IGyeeWindturbineDao {

    @Autowired
    private GyeeWindturbineRepository windturbineRepository;
    @Autowired
    private GyeePowerStationRepository powerStationRepository;



    @Override
    public void del(String id) {
        windturbineRepository.deleteById(id);
    }
    //修改暂时不接入
    @Override
    public void save(GyeeWindturbine win) {
        GyeeWindturbineEntity we=new GyeeWindturbineEntity(win);
        windturbineRepository.save(we);
        System.out.println();
    }

    @Override
    public List<GyeeWindturbine> find() {
       return DataUtil.convertDataList(windturbineRepository.findAll());
    }


    @Override
    public GyeeWindturbine findbyid(String id) {
       return  windturbineRepository.findById(id).get().toData();
    }

    public List<GyeeWindturbine> findByStationId(String stationId)
    {
        return DataUtil.convertDataList(windturbineRepository.findByWindPowerStationId(stationId));
    }

}
